/*
 * ${license.title}
 * Copyright (C) 2022 ${license.owner}
 * ${license.mailto}
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include "fggl/gfx/ogl/common.hpp"
#include "fggl/gfx/ogl4/canvas.hpp"

#include "fggl/data/model.hpp"

#define FGGL_OPENGL_CORRECTNESS

namespace fggl::gfx::ogl4 {

	static void convert_to_mesh(const gfx::Paint& paint, data::Mesh2D& mesh) {
	}

	void CanvasRenderer::render(const gfx::Paint &paint) {
		data::Mesh2D mesh;
		convert_to_mesh(paint, mesh);

	}

}